petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMGetWorkArray

Gets a work array guaranteed to be at least the input size, restore with DMRestoreWorkArray()

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetWorkArray(DM dm,PetscInt count,MPI_Datatype dtype,void *mem)

Not Collective

### Input Parameters

| dm | - the DM object
| count | - The minium size
| dtype | - MPI data type, often MPIU_REAL, MPIU_SCALAR, MPIU_INT)

### Output Parameter

array -the work array

### See Also

DMDestroy(), DMCreate()

### Level

developer

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages